Bug 1122567 - No best practices or guidance around timeout values
Summary: No best practices or guidance around timeout values
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: Post GA
: 6.3.1
Assignee: Misha H. Ali
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 14:12 UTC by John Osborne
Modified: 2014-09-24 14:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-24 14:11:45 UTC
Type: Bug


Attachments (Terms of Use)

Description John Osborne 2014-07-23 14:12:07 UTC
We just completed a PoC with JDG and one of the tests was with a larger distributed cache (14GB).  I found myself endlessly looking through the .XSD files (JDG_HOME/doc/schema) to find all the timeout values and then just playing trial or error to find an appropriate value for the timeouts.

It took a couple of days of trial and error to get values that were appropriate.

I felt like the documentation was really lagging here, since there really were not any best practices or guidance around what to modify the timeout values to be from their defaults for larger cache values. I realize that this may vary from network to network, but a starting point of at least what timeout values to change would be very helpful.  I had to find each timeout value and change it separately.  There really is not a single place in the documentation to go to see what values you need to modify for a larger cache (repl or dist).

Comment 12 Dan Berindei 2014-09-15 09:15:49 UTC
+1 to change the default value.

Comment 19 Misha H. Ali 2014-09-24 14:11:45 UTC
This bug's contents/fixes are now available on https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.3/


Note You need to log in before you can comment on or make changes to this bug.